Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.request
Class ResourceContext

    java.lang.Object
      juzu.request.RequestContext
          juzu.request.MimeContext
              juzu.request.ResourceContext

    public class ResourceContext

extends MimeContext

Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class juzu.request.RequestContext
`RequestContext.METHOD_ID`

Field Summary

Fields inherited from class juzu.request.RequestContext
`METHOD_ID`

Constructor Summary
`ResourceContext(juzu.impl.request.Request request, juzu.impl.application.ApplicationContext application, juzu.impl.controller.descriptor.ControllerMethod method, juzu.impl.request.spi.ResourceBridge bridge)`

Method Summary
`Phase` | `getPhase()`

Methods inherited from class juzu.request.MimeContext
`createURLBuilder, createURLBuilder, createURLBuilder, setResponse`

Methods inherited from class juzu.request.RequestContext
`getApplication, getHttpContext, getMethod, getParameters, getProperty, getSecurityContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceContext

    public ResourceContext(juzu.impl.request.Request request,
                           juzu.impl.application.ApplicationContext application,
                           juzu.impl.controller.descriptor.ControllerMethod method,
                           juzu.impl.request.spi.ResourceBridge bridge)

Method Detail

### getPhase

    public Phase getPhase()

  Specified by:
    `getPhase` in class `RequestContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.